> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774051868.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create collateral OCO order



## OpenAPI

````yaml /openapi/private/http-trade-v4.yaml POST /api/v4/order/collateral/oco
openapi: 3.0.3
info:
  title: Private HTTP API V4 - Collateral Trading
  description: |
    WhiteBIT Private HTTP API V4 for collateral/margin trading operations.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.

    Authentication required for all endpoints.
  version: 4.0.0
  license:
    name: WhiteBIT Terms of Service
    url: https://whitebit.com/terms
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Collateral Trading
    description: Endpoints for collateral/margin trading operations
  - name: Spot Trading
    description: Endpoints for spot trading operations
  - name: Market Fee
    description: Endpoints for querying trading fees
paths:
  /api/v4/order/collateral/oco:
    post:
      tags:
        - Collateral Trading
      summary: Create collateral OCO order
      description: |
        The endpoint creates a collateral OCO order.

        <Warning>
        Rate limit: 10000 requests/10 sec.
        </Warning>
      operationId: createCollateralOcoOrder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - market
                - side
                - amount
                - price
                - activation_price
                - stop_limit_price
                - request
                - nonce
              properties:
                market:
                  type: string
                  example: BTC_USDT
                side:
                  type: string
                  enum:
                    - buy
                    - sell
                  example: buy
                amount:
                  type: string
                  example: '0.001'
                price:
                  type: string
                  example: '40000'
                activation_price:
                  type: string
                  example: '41000'
                stop_limit_price:
                  type: string
                  example: '42000'
                client_order_id:
                  type: string
                  example: order1987111
                request:
                  type: string
                  example: '{{request}}'
                nonce:
                  type: string
                  example: '{{nonce}}'
            example:
              market: BTC_USDT
              side: buy
              amount: '0.001'
              price: '40000'
              activation_price: '41000'
              stop_limit_price: '42000'
              client_order_id: order1987111
              request: '{{request}}'
              nonce: '{{nonce}}'
      responses:
        '200':
          description: Successful response - OCO order created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    description: OCO order identifier
                    example: 117703764513
                  stop_loss:
                    type: object
                    description: Stop loss order details
                    properties:
                      order_id:
                        type: integer
                        description: Order identifier
                        example: 117703764514
                      client_order_id:
                        type: string
                        description: Custom order identifier. Empty string if not specified
                        example: ''
                      market:
                        type: string
                        description: Market name
                        example: BTC_USDT
                      side:
                        type: string
                        description: Order side
                        enum:
                          - buy
                          - sell
                        example: buy
                      type:
                        type: string
                        description: Order type
                        example: stop limit
                      timestamp:
                        type: number
                        description: Timestamp of order creation
                        example: 1594605801.49815
                      deal_money:
                        type: string
                        description: Executed amount in money
                        example: '0'
                      deal_stock:
                        type: string
                        description: Executed amount in stock
                        example: '0'
                      amount:
                        type: string
                        description: Order amount
                        example: '2.241379'
                      takerFee:
                        type: string
                        description: Taker fee ratio
                        example: '0.001'
                      makerFee:
                        type: string
                        description: Maker fee ratio
                        example: '0.001'
                      left:
                        type: string
                        description: Unexecuted amount in stock
                        example: '2.241379'
                      deal_fee:
                        type: string
                        description: Executed fee by deal
                        example: '0'
                      post_only:
                        type: boolean
                        description: Post-only flag
                        example: false
                      mtime:
                        type: number
                        description: Timestamp of order modification
                        example: 1662478154.941582
                      price:
                        type: string
                        description: Order price
                        example: '19928.79'
                      activation_price:
                        type: string
                        description: Activation price
                        example: '29928.79'
                      activation_condition:
                        type: string
                        description: Activation condition
                        enum:
                          - gte
                          - lte
                        example: gte
                      activated:
                        type: integer
                        description: Activation status (0 - not activated, 1 - activated)
                        example: 0
                      status:
                        type: string
                        description: Order status
                        enum:
                          - NEW
                          - FILLED
                          - PARTIALLY_FILLED
                          - CANCELLED
                        example: FILLED
                      stp:
                        type: string
                        description: Self trade prevention mode
                        example: 'no'
                      positionSide:
                        type: string
                        description: Position side
                        enum:
                          - LONG
                          - SHORT
                          - BOTH
                        example: LONG
                  take_profit:
                    type: object
                    description: Take profit order details
                    properties:
                      order_id:
                        type: integer
                        description: Order identifier
                        example: 117703764515
                      client_order_id:
                        type: string
                        description: Custom order identifier. Empty string if not specified
                        example: ''
                      market:
                        type: string
                        description: Market name
                        example: BTC_USDT
                      side:
                        type: string
                        description: Order side
                        enum:
                          - buy
                          - sell
                        example: buy
                      type:
                        type: string
                        description: Order type
                        example: limit
                      timestamp:
                        type: number
                        description: Timestamp of order creation
                        example: 1662478154.941582
                      deal_money:
                        type: string
                        description: Executed amount in money
                        example: '0'
                      deal_stock:
                        type: string
                        description: Executed amount in stock
                        example: '0'
                      amount:
                        type: string
                        description: Order amount
                        example: '0.635709'
                      takerFee:
                        type: string
                        description: Taker fee ratio
                        example: '0.001'
                      makerFee:
                        type: string
                        description: Maker fee ratio
                        example: '0.001'
                      left:
                        type: string
                        description: Unexecuted amount in stock
                        example: '0.635709'
                      deal_fee:
                        type: string
                        description: Executed fee by deal
                        example: '0'
                      post_only:
                        type: boolean
                        description: Post-only flag
                        example: false
                      mtime:
                        type: number
                        description: Timestamp of order modification
                        example: 1662478154.941582
                      price:
                        type: string
                        description: Order price
                        example: '9928.79'
                      status:
                        type: string
                        description: Order status
                        enum:
                          - NEW
                          - FILLED
                          - PARTIALLY_FILLED
                          - CANCELLED
                        example: FILLED
                      stp:
                        type: string
                        description: Self trade prevention mode
                        example: 'no'
                      positionSide:
                        type: string
                        description: Position side
                        enum:
                          - LONG
                          - SHORT
                          - BOTH
                        example: LONG
              example:
                id: 117703764513
                stop_loss:
                  order_id: 117703764514
                  client_order_id: ''
                  market: BTC_USDT
                  side: buy
                  type: stop limit
                  timestamp: 1594605801.49815
                  deal_money: '0'
                  deal_stock: '0'
                  amount: '2.241379'
                  takerFee: '0.001'
                  makerFee: '0.001'
                  left: '2.241379'
                  deal_fee: '0'
                  post_only: false
                  mtime: 1662478154.941582
                  price: '19928.79'
                  activation_price: '29928.79'
                  activation_condition: gte
                  activated: 0
                  status: FILLED
                  stp: 'no'
                  positionSide: LONG
                take_profit:
                  order_id: 117703764515
                  client_order_id: ''
                  market: BTC_USDT
                  side: buy
                  type: limit
                  timestamp: 1662478154.941582
                  deal_money: '0'
                  deal_stock: '0'
                  amount: '0.635709'
                  takerFee: '0.001'
                  makerFee: '0.001'
                  left: '0.635709'
                  deal_fee: '0'
                  post_only: false
                  mtime: 1662478154.941582
                  price: '9928.79'
                  status: FILLED
                  stp: 'no'
                  positionSide: LONG
        '400':
          description: Inner validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service temporarily unavailable
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: Error code
          example: 30
        message:
          type: string
          description: Error message
          example: Validation failed
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Detailed error information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: |
        API Key authentication for private endpoints.

        Required headers:
        - X-TXC-APIKEY: API key
        - X-TXC-PAYLOAD: Base64 encoded JSON payload
        - X-TXC-SIGNATURE: HMAC SHA512 signature

````